Xalan-Java 2.7.1: Class MatchGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class MatchGenerator

    java.lang.Object
      |
      +--org.apache.bcel.classfile.AccessFlags
            |
            +--org.apache.bcel.generic.FieldGenOrMethodGen
                  |
                  +--org.apache.bcel.generic.MethodGen
                        |
                        +--org.apache.xalan.xsltc.compiler.util.MethodGenerator
                              |
                              +--org.apache.xalan.xsltc.compiler.util.MatchGenerator

public final class MatchGenerator
extends MethodGenerator

Constructor Summary
`MatchGenerator(int access_flags, org.apache.bcel.generic.Type return_type, org.apache.bcel.generic.Type[] arg_types, java.lang.String[] arg_names, java.lang.String method_name, java.lang.String class_name, org.apache.bcel.generic.InstructionList il, org.apache.bcel.generic.ConstantPoolGen cp)`

Method Summary
`int` | `getHandlerIndex()`
`int` | `getIteratorIndex()` Get index of the register where the current iterator is stored.
`int` | `getLocalIndex(java.lang.String name)`
`org.apache.bcel.generic.Instruction` | `loadCurrentNode()`
`org.apache.bcel.generic.Instruction` | `loadDOM()` Get index of the register where the DOM is stored.
`void` | `setDomIndex(int domIndex)` Set index where the reference to the DOM is stored.
`void` | `setIteratorIndex(int iteratorIndex)` Set index of the register where the current iterator is stored.
`org.apache.bcel.generic.Instruction` | `storeCurrentNode()`

Methods inherited from class org.apache.xalan.xsltc.compiler.util.MethodGenerator
`addInstructionList, addLocalVariable, addLocalVariable2, attribute, endDocument, endElement, getInstructionList, getLocalVariable, loadContextNode, loadHandler, loadIterator, markChunkEnd, markChunkStart, namespace, nextNode, outlineChunks, removeLocalVariable, reset, setMaxLocals, setStartNode, startDocument, startElement, storeContextNode, storeDOM, storeHandler, storeIterator, uniqueAttribute`

Methods inherited from class org.apache.bcel.generic.MethodGen
`addCodeAttribute, addException, addExceptionHandler, addLineNumber, addLocalVariable, addObserver, copy, getArgumentName, getArgumentNames, getArgumentType, getArgumentTypes, getClassName, getCodeAttributes, getExceptionHandlers, getExceptions, getInstructionList, getLineNumbers, getLineNumberTable, getLocalVariables, getLocalVariableTable, getMaxLocals, getMaxStack, getMaxStack, getMethod, getReturnType, getSignature, removeCodeAttribute, removeCodeAttributes, removeException, removeExceptionHandler, removeExceptionHandlers, removeExceptions, removeLineNumber, removeLineNumbers, removeLocalVariables, removeNOPs, removeObserver, setArgumentName, setArgumentNames, setArgumentType, setArgumentTypes, setClassName, setInstructionList, setMaxLocals, setMaxStack, setMaxStack, setReturnType, stripAttributes, toString, update`

Methods inherited from class org.apache.bcel.generic.FieldGenOrMethodGen
`addAttribute, clone, getAttributes, getConstantPool, getName, getType, removeAttribute, removeAttributes, setConstantPool, setName, setType`

Methods inherited from class org.apache.bcel.classfile.AccessFlags
`getAccessFlags, isAbstract, isAbstract, isFinal, isFinal, isInterface, isInterface, isNative, isNative, isPrivate, isPrivate, isProtected, isProtected, isPublic, isPublic, isStatic, isStatic, isStrictfp, isStrictfp, isSynchronized, isSynchronized, isTransient, isTransient, isVolatile, isVolatile, setAccessFlags`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatchGenerator

    public MatchGenerator(int access_flags,
                          org.apache.bcel.generic.Type return_type,
                          org.apache.bcel.generic.Type[] arg_types,
                          java.lang.String[] arg_names,
                          java.lang.String method_name,
                          java.lang.String class_name,
                          org.apache.bcel.generic.InstructionList il,
                          org.apache.bcel.generic.ConstantPoolGen cp)

Method Detail

### loadCurrentNode

    public org.apache.bcel.generic.Instruction loadCurrentNode()

  Overrides:
    loadCurrentNode in class MethodGenerator

### storeCurrentNode

    public org.apache.bcel.generic.Instruction storeCurrentNode()

  Overrides:
    storeCurrentNode in class MethodGenerator

### getHandlerIndex

    public int getHandlerIndex()

### loadDOM

    public org.apache.bcel.generic.Instruction loadDOM()

  Get index of the register where the DOM is stored.
  Overrides:
    loadDOM in class MethodGenerator

### setDomIndex

    public void setDomIndex(int domIndex)

  Set index where the reference to the DOM is stored.

### getIteratorIndex

    public int getIteratorIndex()

  Get index of the register where the current iterator is stored.

### setIteratorIndex

    public void setIteratorIndex(int iteratorIndex)

  Set index of the register where the current iterator is stored.

### getLocalIndex

    public int getLocalIndex(java.lang.String name)

  Overrides:
    getLocalIndex in class MethodGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.